0
PonyProg is a cross-platform powerful serial device programmer with a GUI that allows users to read/write serial devices. The programmer supports now:
  • I²C Bus
  • Microwire
  • SPI eeprom
  • Atmel AVR
  • Microchip PIC micro

You can find more information about PonyProg here. In this tutorial, we will see how to compile and install PonyProg on Ubuntu 15.04 or Ubuntu 14.10. Since some users are getting these errors while compiling PonyProg on Ubuntu 15.04/14.10:

Makefile:145: *** recipe commences before first target.  Stop. 
Makefile:101: recipe for target 'srcx' failed 
make[1]: *** [srcx] Error 2 
Makefile:121: recipe for target 'vlib' failed 
make: *** [vlib] Error 2

You can use the workaround below to successfully install PonyProg on Ubuntu 15.04/14.10.

PonyProg (v2.08c) Installation

Open the terminal and install these dependencies first:

sudo apt-get install build-essential libxmu-dev libxaw7-dev libxt-dev

Install now PonyProg using these commands (program will be installed on your home directory):

cd ~/ 
wget -c http://goo.gl/rcfLqr -O PonyProg2000-2.08c.tar.gz 
tar -xf PonyProg2000-2.08c.tar.gz 
sed -i '145d' ~/Pony*/v/srcx/Makefile 
cd ~/PonyProg* 
./config.sh $HOME 
make clean 
make 
sudo make install 
sudo adduser $USER dialout

You can now start PonyProg by double-clicking the executable bin file located on your home directory, or navigate to PonyProg installation folder and start it:



After launching the program, the config file PonyProg2000rc will be created. You can edit it and add your settings using this command:

gedit ~/.PonyProg2000rc

Post a Comment

 
Top